import Vue from 'vue'
import Router from 'vue-router'
import index from '@/page/index'
import lotteryList from '@/page/lotteryList'
import lotteryDetail from '@/page/lotteryDetail'

Vue.use(Router)

export default new Router({
  routes: [
    {
      path: '/',
      name: 'index',
      component: index,
      meta: {
        id: '1'
      }
    },
    {
      path: '/lotteryList',
      name: 'lotteryList',
      component: lotteryList
    },
    {
      path: '/lotteryDetail',
      name: 'lotteryDetail',
      component: lotteryDetail
    }
  ]
})
