import wechatConfig from '@/config/index'
const baseUrl = '/api'
const wechat = ''

const $api = {
  lottery: {
    userInfo: { // 获取用户信息
      method: 'get',
      url: `${baseUrl}${wechat}/user`
    },
    getPrize: { // 获取抽奖信息
      method: 'get',
      url: `${baseUrl}${wechat}/luckdraw/:id`
    },
    setPrize: { // 抽奖
      method: 'post',
      url: `${baseUrl}${wechat}/luckdraw/:id`
    },
    getRecord: { // 中奖记录
      method: 'get',
      url: `${baseUrl}${wechat}/record`
    },
    userRecordList: { // 用户中奖记录列表
      method: 'get',
      url: `${baseUrl}${wechat}/user/record`
    },
    userRecordDetail: { // 用户中奖记录详情
      method: 'get',
      url: `${baseUrl}${wechat}/user/record/:id`
    }
  },
  system: {
    getCode: {
      method: 'get',
      url: `https://open.weixin.qq.com/connect/oauth2/authorize?appid=${wechatConfig.appid}&redirect_uri=${wechatConfig.redirect_uri}&response_type=${wechatConfig.response_type}&scope=${wechatConfig.scope}&state=${wechatConfig.state}#wechat_redirect`
    }
  }
}
export default $api
